package com.sh.game.config.model;

package ..deTemp.1741208741423;

import com.sh.common.config.AbstractConfigData;
import com.sh.game.entity.Role;
import com.sh.game.util.TimeUtil;

public class ShopConfig extends AbstractConfigData {
  private int id;
  
  private int npcId;
  
  private int itemId;
  
  private int[] payType;
  
  private int value;
  
  private int num;
  
  private int frequency;
  
  private int itemId2;
  
  private int replace;
  
  private int belong;
  
  private int extra;
  
  private int openday;
  
  private int ordering;
  
  private String frequency_replace_belong;
  
  private String id_npcId_payType;
  
  private String tips;
  
  private int limit;
  
  private int price;
  
  private int saleStart;
  
  private int saleLast;
  
  private int must;
  
  private String showName;
  
  private String ordering7_limit1;
  
  public void setPrice(int price) {
    this.price = price;
  }
  
  public void setSaleStart(int saleStart) {
    this.saleStart = saleStart;
  }
  
  public void setSaleLast(int saleLast) {
    this.saleLast = saleLast;
  }
  
  public void setMust(int must) {
    this.must = must;
  }
  
  public void setShowName(String showName) {
    this.showName = showName;
  }
  
  public void setOrdering7_limit1(String ordering7_limit1) {
    this.ordering7_limit1 = ordering7_limit1;
  }
  
  public int getPrice() {
    return this.price;
  }
  
  public int getSaleStart() {
    return this.saleStart;
  }
  
  public int getSaleLast() {
    return this.saleLast;
  }
  
  public int getMust() {
    return this.must;
  }
  
  public String getShowName() {
    return this.showName;
  }
  
  public String getOrdering7_limit1() {
    return this.ordering7_limit1;
  }
  
  public int getId() {
    return this.id;
  }
  
  public void setId(int id) {
    this.id = id;
  }
  
  public int getNpcId() {
    return this.npcId;
  }
  
  public void setNpcId(int npcId) {
    this.npcId = npcId;
  }
  
  public int getItemId() {
    return this.itemId;
  }
  
  public void setItemId(int itemId) {
    this.itemId = itemId;
  }
  
  public int[] getPayType() {
    return this.payType;
  }
  
  public void setPayType(int[] payType) {
    this.payType = payType;
  }
  
  public int getValue() {
    return this.value;
  }
  
  public void setValue(int value) {
    this.value = value;
  }
  
  public int getNum() {
    return this.num;
  }
  
  public void setNum(int num) {
    this.num = num;
  }
  
  public int getFrequency() {
    return this.frequency;
  }
  
  public void setFrequency(int frequency) {
    this.frequency = frequency;
  }
  
  public int getItemId2() {
    return this.itemId2;
  }
  
  public void setItemId2(int itemId2) {
    this.itemId2 = itemId2;
  }
  
  public int getReplace() {
    return this.replace;
  }
  
  public void setReplace(int replace) {
    this.replace = replace;
  }
  
  public int getBelong() {
    return this.belong;
  }
  
  public void setBelong(int belong) {
    this.belong = belong;
  }
  
  public int getExtra() {
    return this.extra;
  }
  
  public void setExtra(int extra) {
    this.extra = extra;
  }
  
  public int getOpenday() {
    return this.openday;
  }
  
  public void setOpenday(int openday) {
    this.openday = openday;
  }
  
  public int getOrdering() {
    return this.ordering;
  }
  
  public void setOrdering(int ordering) {
    this.ordering = ordering;
  }
  
  public String getFrequency_replace_belong() {
    return this.frequency_replace_belong;
  }
  
  public void setFrequency_replace_belong(String frequency_replace_belong) {
    this.frequency_replace_belong = frequency_replace_belong;
  }
  
  public String getId_npcId_payType() {
    return this.id_npcId_payType;
  }
  
  public void setId_npcId_payType(String id_npcId_payType) {
    this.id_npcId_payType = id_npcId_payType;
  }
  
  public String getTips() {
    return this.tips;
  }
  
  public void setTips(String tips) {
    this.tips = tips;
  }
  
  public int getLimit() {
    return this.limit;
  }
  
  public void setLimit(int limit) {
    this.limit = limit;
  }
  
  public int getPrice(Role role) {
    int price = getValue();
    int openDay = TimeUtil.getOpenServerDay(role.getServerId());
    if (getNpcId() == 41 && getSaleStart() > 0) {
      if (getPrice() > 0 && openDay >= getSaleStart() && openDay < getSaleStart() + getSaleLast())
        price = getPrice(); 
    } else if (getPrice() > 0 && openDay >= getSaleStart() && openDay < getSaleStart() + getSaleLast() && role.getShopHadBuyList().indexOf(Integer.valueOf(this.id)) == -1) {
      price = getPrice();
    } 
    return price;
  }
  
  public boolean isSpecialShop() {
    return (getNpcId() != 41);
  }
}
